<?php
/**
 * 系统设定稳健
 * $Id: settings.inc
 * @author zhouz
 * @package settings
 */
date_default_timezone_set('PRC');
ini_set("error_log", "/var/www/html/php_error.log");
ini_set("error_reporting", E_ALL);
ini_set("magic_quotes_gpc" ,0);
define("ERROR_LOG_LEVEL", 100);

// 服务名称
define("SERVICE_NAME", "指南针");

// 服务器配置
define("DOMAIN_NAME", "compass.koala-online.cn");
define("HOST_NAME", "compass.koala-online.cn");
define("SSL_PATH", "www.koala-online.cn/compass");

// 数据库配置
define("COMPASS_DB", "compass_develop_db");
define("COMPASS_DB_HOST", "localhost");
define("COMPASS_DB_USER", "root");
define("COMPASS_DB_PASS", "koala_123");
define("COMPASS_DB_TYPE", "Mysql");
define("COMPASS_DB_PORT", "3306");

// 阿里云OSS配置
define("OSS_ACCESS_KEY", "LTAI4FvwbmX3iV7i6RaGsm5T");
define("OSS_ACCESS_SECRET", "Q10wMk5qSc8mEZiPjIqN0GK6vmhFZZ");
define("OSS_END_POINT", "oss-cn-beijing.aliyuncs.com");
define("OSS_BUCKET", "compass-dev");

// 缓存配置
define("COMPASS_MEMCACHE_HOST", "127.0.0.1");
define("COMPASS_MEMCACHE_PORT", "11211");
define("MEMCACHE_VERSION", 1);


// 微信认证相关【公众号】
define("WECHAT_APP_ID","wxbfe83497ed67d237");
define("WECHAT_APP_SECRET","42284e961dd50e78e354d15a292b0ec9");
define("WECHAT_AUTH_TOKEN","COMPASS");
define("WECHAT_PAY_MCHID","1371137902");
define("WECHAT_PAY_KEY","a1b2c3defghijKlmnopqrstuvwx4y5z6");

//DEBUG MODE
define("DEBUG_MODE", true);

//腾讯lbs
define("LBS_KEY","TMJBZ-MTX3G-MPFQT-INGZP-VQVTK-WLFM3");
define("LBS_SECRET","BYLkXP9bZaQhI1ELr6HWkHRuKm1YPU");

//完成活动奖励能力分
define("ABILITY_POINT",20);
//完成活动奖励服务分
define("SERVICE_POINT",20);

// 固定テンプレート用ディレクトリ
define("SCHOOL_TEMPLATE_DIR", COMPASS_ROOT . "/school/templates");
// 固定テンプレート用ディレクトリ
define("MANAGER_TEMPLATE_DIR_PATH", COMPASS_ROOT . "/manager/templates");
// 固定テンプレート用ディレクトリ
define("SSL_TEMPLATE_DIR", COMPASS_ROOT . "/ssl/templates");

// 固定テンプレート用ディレクトリ
define("WEB_TEMPLATE_DIR_PATH", COMPASS_ROOT . "/web/templates");

// 画像以外の一時アップディレクトリ
define("UPLOAD_TMP_DIR", COMPASS_ROOT . "/manager/uploadtmp");

define("MOBILE_TEMPLATE_DIR", COMPASS_ROOT . "/mobile/templates");


// 翻页的地方显示的页面数量。5的时候：1 | 2 | 3 | 4 | 5
define("MANAGER_PAGING_SHOW_PAGE_COUNT", 5);
// 后台默认每页条数
define("MANAGER_DEFAULT_ROW_COUNT", 10);

// 画像表示用ＰＨＰスクリプトのＵＲＬ
define("DISPLAY_IMAGE_URL", "http://" . HOST_NAME . "/display_image.php");

// 临时csv存放文件
define("CSV_PATH", COMPASS_ROOT . "/data/csv");

// 图片存放
define("IMAGES_PATH", COMPASS_ROOT . "/data/images");
// 媒体类
define("THEME_IMAGES_PATH", COMPASS_ROOT . "/data/media");

// 领导注册用二维码最多使用次数
define("GOVERNMENT_QR_MAX_COUNT", 5);
// 领导注册用二维码可用的时间（生成时间开始+天数）
define("GOVERNMENT_QR_MAX_DAY", 7);

// ポップアップの窓が画像最低サイズ
define("POPUP_WINDOW_IMAGE_MIN_WIDTH", 480);
define("POPUP_WINDOW_IMAGE_MAX_WIDTH", 640);
define("POPUP_WINDOW_IMAGE_MIN_HEIGHT", 160);
define("POPUP_WINDOW_IMAGE_MAX_HEIGHT", 480);

// ポップアップの窓が最低サイズ
define("POPUP_WINDOW_INFO_MIN_WIDTH", 640);
define("POPUP_WINDOW_INFO_MAX_WIDTH", 640);
define("POPUP_WINDOW_INFO_MIN_HEIGHT", 160);
define("POPUP_WINDOW_INFO_MAX_HEIGHT", 480);
// -------------读取mode----------------
define("AIMSLIB_ROOT", COMPASS_ROOT);
define("COMPASS_LIB_ROOT" , COMPASS_ROOT);
define("EXTRA_LIB_ROOT" , COMPASS_ROOT);

require_once(AIMSLIB_ROOT . "/settings/aimslib2_include.inc");

require_once(COMPASS_LIB_ROOT . "/settings/compass_include.inc");

// 扩展类
require_once(EXTRA_LIB_ROOT . "/settings/extralib_include.inc");
?>